## org.springframework.aop
Interface Pointcut

All Known Subinterfaces:
  ExpressionPointcut

All Known Implementing Classes:
  AbstractExpressionPointcut, AbstractRegexpMethodPointcut, AnnotationMatchingPointcut, AspectJExpressionPointcut, ComposablePointcut, ControlFlowPointcut, DynamicMethodMatcherPointcut, JdkRegexpMethodPointcut, NameMatchMethodPointcut, StaticMethodMatcherPointcut, StaticMethodMatcherPointcutAdvisor

    public interface Pointcut

Core Spring pointcut abstraction.

A pointcut is composed of a `ClassFilter` and a `MethodMatcher`. Both these basic terms and a Pointcut itself can be combined to build up combinations (e.g. through `ComposablePointcut`).

Author:
  Rod Johnson
See Also:
  `ClassFilter`, `MethodMatcher`, `Pointcuts`, `ClassFilters`, `MethodMatchers`

Field Summary
`static Pointcut` `TRUE` Canonical Pointcut instance that always matches.

Method Summary
`ClassFilter` `getClassFilter()` Return the ClassFilter for this pointcut.
`MethodMatcher` `getMethodMatcher()` Return the MethodMatcher for this pointcut.

Field Detail

### TRUE

    static final Pointcut TRUE

  Canonical Pointcut instance that always matches.

Method Detail

### getClassFilter

    ClassFilter getClassFilter()

  Return the ClassFilter for this pointcut.

  Returns:
    the ClassFilter (never `null`)

### getMethodMatcher

    MethodMatcher getMethodMatcher()

  Return the MethodMatcher for this pointcut.

  Returns:
    the MethodMatcher (never `null`)